### Method

# GObject Value set_instance

#### Declaration

    void
    g_value_set_instance (
      GValue* value,
      gpointer instance
    )

#### Description

Sets `value` from an instantiatable type via the value_table’s `collect_value()` function.

#### Parameters

`instance`

  Type: `gpointer`

  The instance.

  The argument can be `NULL`.
  The data is owned by the caller of the method.